#### Previous topic

scipy.ndimage.spline_filter

#### Next topic

scipy.ndimage.zoom

# scipy.ndimage.spline_filter1d

`scipy.ndimage.``spline_filter1d`(input, order=3, axis=-1, output=<type 'numpy.float64'>)

  Calculates a one-dimensional spline filter along the given axis.

  The lines of the array along the given axis are filtered by a spline filter. The order of the spline must be >= 2 and <= 5.

  Parameters:

  input : array_like

  > The input array.

  order : int, optional

  > The order of the spline, default is 3.

  axis : int, optional

  > The axis along which the spline filter is applied. Default is the last axis.

  output : ndarray or dtype, optional

  > The array in which to place the output, or the dtype of the returned array. Default is `numpy.float64`.

  Returns:

  spline_filter1d : ndarray or None

  > The filtered input. If output is given as a parameter, None is returned.